Simple Machines Community Forum

SMF Support => Converting to SMF => YaBB/YaBB SE => Topic started by: _steve on November 09, 2011, 09:53:58 PM

Title: Converting YaBB 1 Gold - SP 1.3.1 to SMF 2.0.1 Error
Post by: _steve on November 09, 2011, 09:53:58 PM
I tried to convert from this very old version of YaBB (SP 1.3.1) using the YaBB to SMF 2.0 converter located in the downloads section (the last one on the page). I am getting the following error:

Quote
Converting...
Converting membergroups... Successful.
Converting members...Incorrect table definition; there can be only one auto column and it must be defined as a key

Any help would be appreciated.

Thanks,
Steve
Title: Re: Converting YaBB 1 Gold - SP 1.3.1 to SMF 2.0.1 Error
Post by: moodydood on January 03, 2012, 10:17:02 PM
I got this exact same error.  I did read another post where someone upgraded to YaBB 2.2 before the conversion, but I would rather not do that if at all possible.  What's odd is that the members table seems to be defined correctly when I checked the structure, so not sure what's going on here.  Can anyone please help?  Thanks.
Title: Re: Converting YaBB 1 Gold - SP 1.3.1 to SMF 2.0.1 Error
Post by: moodydood on January 05, 2012, 08:21:20 PM
OK, after a long struggle I have my YaBB conversion done.  Here's how I did it:

It seems the conversion script won't work for 1.3.1 at all.  The error that I got (which is MySql saying that you have to get rid of the auto-incrementing function of the primary key before it can remove the key), is only the beginning of many errors.  When I solved that error, another came up.  When I solved, I got another.  It's a dead end.  Time to upgrade.

I upgraded to YaBB 2.1 and that worked fine.  Then I tried the conversion script for 2.1 and that gave me errors as well.  As you can imagine, I was very frustrated.

I read another post that someone tried the 2.2 script and they were successful.  As a last attempt, I upgraded YaBB to 2.2 and tried the respective conversion script and was finally successful.  Time for a celebratory beer.

So to sum up, upgrade your YaBB to 2.2 because that will work.  All other versions seem to fail.

Hope this helps someone.